FACO Floor Plan System - Defect #1218

CRR Insert/Update 718as1duagna1

26/05/2022 11:29 - Hot-Patiwat Yunchaiyaphum

anme: Dev : Waiting Deploy SIT L3N 26/05/2022
anuaa: Medium TUATUNINNA:
nounaoln: Hot-Patiwat Yunchaiyaphum % dnsa: 0%
NESTRE variildlasilssno: 0.00 #Tna
T Vil 0.00 #71xv
TgazLdya
”L‘@ FAB[] B wnbwdiuanudng sitafanu : patiwat I
U.z’ - innilsiuend > mnnlsiannds dnis - dhossmshusuna
P JLL
> dayagnd
. AU
> adududa
. PdayslayaAa : =
> iy
> udmlseAu sHatduagna
[ IR ] waiififiyana Rating
»  ATIAEaURND dhmi
¥ naedlsiumuEm Ussamgsia: AAA
Amuagluunlsaduamads
s o Model CRR :
wulsHAuATINL
> SEUBU
nailsuiuaandsy
ANUAAIN
alb] Juiviisianns SWawWTAIY dauana ANudaLiu
Mo records available
| 4 Page | 1 of 0 LI 0 -0 of 0 items
IEPRL

#1 - 27/05/2022 09:55 - Hot-Patiwat Yunchaiyaphum

- dame changed from Dev : Todo to Dev : Doing

#2 - 27/05/2022 15:10 - Hot-Patiwat Yunchaiyaphum
- un¥ clipboard-202205271510-ksqe0.png added

- uwy clipboard-202205271510-shOlx.png added

- unu clipboard-202205271510-afwm5.png added

- dnmg changed from Dev : Doing to Dev : Waiting Deploy SIT

30/04/2025

173




ﬂ File Edit View Git Project Build Debug Test Analyze Tools Extensions Window Help P RTN.DataAPI.HPAdmin

(<] =9 [l @ Application Insights

Process: [52724] iisexpress.exe
CRRManagementMainController.cs & CRRManagementSubController.cs CRRManagementMainService.cs CRRManagementSubService.cs
CRRManagementMainRepository.cs % CRRManagementSubRepository.cs CustomerController.cs 2

Solution Explorer

@A o-5a@

CRRAssessmentServicecs + X CRRAssessmentRepository.cs SaveComment.cs CRRAssessmentResponse.cs ICRRAssessmentRepository.cs v &
3
=

[€#] RTN.DataAP|.HPAdmin. Core S— #3 RTN.DataAPI.HPAdmin.Core Services.CRRAssessmentSe - @ SaveCustomerDetails{SaveCustomerDetails query) 7 Solution ‘RTN.DataAPLHPAdmin’ (4 of 4 projects)

CheckCustomerDetails = ._unitOfork . CRRAssessmentRepository. GetCustomerDetails(gquery); b £ Script Documents
if (CheckCustomerDetails == ) b H test

query.createby = _userldentity.Userld; b ] RTN.DataAPLHPAdmin
query.createlirkstn = _userIdentity.WrkStn; RTN.DataAPI|.HPAdmin.Core
query.updateBy = _userTdentity.Userld;

€3] RTM. B 3
query.updatelristn = _userIdentity.Wrkstn; e AL T S LT
aFFRoW = _unit0feork.C itory. SaveCust tails(query);

£ (CheckCustomerDetails |= )
if(CheckCustomerbetails. crriodelld == query.crriodelld)
query.updateBy = _userIdentity.UserId;

query .updaterkstn = _userIdentity.WrkStn;
affRow = -_unitOfWork .CRRAssessm itory.UpdateC 1s(query);

F (CheckCustomerDetails.crrifodelld I= query.crriodelld)

query.crrieight = 8;

query .grade =

query i 1 H

query.updateBy = _userIdentity.Userld;

query .updateldrkstn = _userIdentity.Wrkstn;

affRow = ._unitOfiWork .CRRAssessm: i .UpdataC; 1s(query);

unitofdork. Commit();
t tai (query);

)
e)

_unitOfuork. Rollback();

throw e;

}
5% 9~ ®0 a1 « > | 9~ Ln:326 Chi22  SPC  CRLF

Call Stack Breakpoints Command Window |Immediate Window Output ErrorList Locals

[ Ready 0 £ 5 4 DATA-HPAdmin " fx-hot/DefectCRRDATA/2022/05/26 « -b
Response body

"success™: true,
"message”: "",
"messages”: null,
"comtenmt™: {
"idenCrrID": "adblléad-S5af3-4bdb-Bafd-IfabedTbeb7o",
"movmntID": "5d39fab6-285F-4aaa-882e-eddefasfe446",
"idenMo": "stringl™,
"compCde™: "stringl®,
"compMame™: "stringl®,
"busTypelde”: “"stringl®,
"busTypeMame™: "stringl”,
"crrModelId”: "3faB5f64-5717-4562-b3fc-2c963fe6atal",
"crrieight”: @,
"grade™: null,
"score(riteria®: null,
"idenCrrType™: "stringl™,
"is0Open”: @,
"strategy™: "stringl®,
"recsts": TAT,
"createBy”: "string",
"createDte": "2022-85-27T87:53:36.67871",
"createlrkstn™: "string",
"updateBy": "kpl™,
“"updateDte”: "2822-85-27T87:53:36.6787",
"updateWrkstn™: "HOT-PATIWAT"
Quick Launch (Ctrl+Q) P - B x

‘_5; SQLQuery2.5ql - 192.168.152.171, 10433 FPMSC_DEV (sa (60))* - Microsoft SQL Server Management Studio

FILE EDIT VIEW QUERY PROJECT TOOLS WINDOW  HELP

i@-o|8-a-uM | BArwaey ERRAR|XFA|D-C | SRmEEa- Change Type~ | | k=] 5
“f | FPMSsC_DEV - | b Execute J -

gz | ElEa |

o

SQLQuery2.sql - 19...PMSC_DEV (sa (60))* + < [[EolRoNiaagles BT BT iialv]a 62))
1 select * from FPMSAPP310

saipadoly

114% -

EH Resuts il Messages
— " busTyneCde_husTynshl Modelld ilsight_orad

ideaCoin P idenly,
EADB126A9—5AF3-|B4E-3AF4—3FAGE47BEB7G 5D39FABG-2B5F-4AAA-B82E-EDDEFASFO446  string! sting1 string1 001 ssfiasnuud 3FABSFG4-5717-4562-BIFC-2C963IFGEAFAT 0.00 NULL NI/
A = = TG 3T TAGUS00TI0655 215 TiARaUWTAAL A T TEnasnLwa F = c B

< >

192.168.152.171,10433 (15.0.%) | 'sa-{60) /| EPMSC -DEV/“00:00:00 ** 2 rows

@) Query executed successfully.
